Create model

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://api-docs.kitsu.cloud/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "Kitsu API MCP server": {
    "url": "https://api-docs.kitsu.cloud/mcp"
  }
}

Close
POST /data/salary-scales

Create a new model instance with data provided in the request body. JSON format is expected. The model performs validation automatically when instantiated. Unless the model says otherwise, you must be an administrator.

application/json

Body Required

  • name string

Responses

  • 201 application/json

    Model created successfully

    Hide response attributes Show response attributes object
    • id string(uuid)
    • name string
    • created_at string(date-time)
    • updated_at string(date-time)
  • 400

    Invalid data format or validation error

  • 403

    You are not an administrator

POST /data/salary-scales
curl -X POST "http://api.example.com/data/salary-scales" \
  -H "Authorization: Bearer YOUR_API_TOKEN" \
  -H "Accept: application/json" \
  -H "Content-Type: application/json" \
  -d '{
  "name": "Model Name"
}'
import requests

url = "http://api.example.com/data/salary-scales"
headers = {
    "Authorization": "Bearer YOUR_API_TOKEN",
    "Accept": "application/json",
    "Content-Type": "application/json"
}
params = {}
payload = {
    "name": "Model Name"
}

response = requests.post(
    url,
    headers=headers,
    params=params,
    json=payload
)

response.raise_for_status()

if response.content:
    print(response.json())
Request examples
{
  "name": "Model Name"
}
Response examples (201)
{
  "id": "a24a6ea4-ce75-4665-a070-57453082c250",
  "name": "Model Name",
  "created_at": "2024-01-15T10:30:00Z",
  "updated_at": "2024-01-15T10:30:00Z"
}